Mailinglist Archive: opensuse-factory (276 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20190310 released!

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20190310

Please do not reply to this email to report issues, rather file a bug
on bugzilla.opensuse.org. For more information on filing bugs please
see https://en.opensuse.org/openSUSE:Submitting_bug_reports

Packages changed:
AppStream (0.12.2 -> 0.12.6)
Mesa
Mesa-drivers
MozillaFirefox
PackageKit
SDL
abcde
acpid (2.0.30 -> 2.0.31)
at-spi2-atk (2.30.0 -> 2.30.1)
at-spi2-core (2.30.0 -> 2.30.1)
ceph (14.0.1.3346+g0364ec8d2f -> 14.1.0.559+gf1a72cff25)
ckermit
ffmpeg-4 (4.1 -> 4.1.1)
gcc8 (8.2.1+r268506 -> 8.3.1+r269200)
gettext-runtime
i4l-base
ibus (1.5.19 -> 1.5.20)
javapackages-tools
kdevelop5 (5.3.1 -> 5.3.2)
keyutils
kio
konsole
libchamplain (0.12.16 -> 0.12.19)
libqmi (1.22.0 -> 1.22.2)
libreoffice
libsecret (0.18.7 -> 0.18.8)
libxslt (1.1.32 -> 1.1.33)
meanwhile (1.0.2 -> 1.1.1)
nodejs10 (10.15.1 -> 10.15.2)
open-vm-tools
patterns-xfce
perl-Image-ExifTool (11.29 -> 11.30)
perl-JSON-XS (4.01 -> 4.02)
postfix (3.3.2 -> 3.3.3)
purple-rocketchat (0.0+hg20181203 -> 0.0+hg20190218)
python-Automat (0.6.0 -> 0.7.0)
python-MarkupSafe (1.0 -> 1.1.1)
python-attrs (18.2.0 -> 19.1.0)
python-keyring
python-lxml (4.2.5 -> 4.3.2)
rsyslog
spec-cleaner (1.1.2 -> 1.1.3)
transactional-update (2.13.1 -> 2.13.2)
util-linux
util-linux-systemd
vala (0.42.5 -> 0.42.6)
vdr (2.2.0 -> 2.4.0)
vlc
webkit2gtk3 (2.22.6 -> 2.22.7)
xdm (1.1.11 -> 1.1.12)
xfsprogs (4.19.0 -> 4.20.0)
xinit (1.4.0 -> 1.4.1)
xtables-addons (3.2_k4.20.13_1 -> 3.3_k4.20.13_1)
yast2 (4.1.60 -> 4.1.61)
yast2-bootloader (4.1.20 -> 4.1.21)
yast2-installation (4.1.39 -> 4.1.41)
yast2-packager (4.1.30 -> 4.1.32)
yast2-snapper (4.1.0 -> 4.1.2)

=== Details ===

==== AppStream ====
Version update (0.12.2 -> 0.12.6)
Subpackages: AppStream-lang libAppStreamQt2 libappstream4

- Update to 0.12.6:
Features:
* Implement artifacts (Matthias Klumpp)
* Search improvements (Matthias Klumpp)
Specification:
* doc: help distinguish the 2 'languages' tags (Beuc)
* spec: Document the new artifacts tag (Matthias Klumpp)
- Update to 0.12.5:
Features:
* qt: expose the spdx parser to Qt users (Aleix Pol)
* Implement operating-system component and add convenience functions
(Matthias Klumpp)
* qt: Add operating-system component type and a few utility functions
(Matthias Klumpp)
* Allow fetching the ISO8601 date directly alongside the timestamp in
AsRelease (Matthias Klumpp)
* Implement date_eol for AsRelease (Matthias Klumpp)
* Add convenience methods for retrieving date_eol as UNIX timestamp (Matthias
Klumpp)
* qt: Allow retrieving the EOL timestamp for releases (Matthias Klumpp)
* Implement new release details URL (Matthias Klumpp)
* Make rDNS conversion function more generic and add more extensive tests
(Matthias Klumpp)
Specification:
* docs: <release> tag can have details url (Jehan)
* spec: Specify the operating-system component (Matthias Klumpp)
* spec: Specify date_eol for releases (Matthias Klumpp)
* docs: Explicitly state list items are allowed in ol/ul lists (Matthias
Klumpp)
Bugfixes:
* Don't warn about issues in a cache refresh if there weren't any (Matthias
Klumpp)
* Ensure releases are always sorted in descending order (Matthias Klumpp)
* pool: Fix g-i for get_components_*() while GPtrArray owns its elements
(Rico Tzschichholz)
- Update to 0.12.4:
Features:
* pool: Be a lot more forgiving when encountering invalid components
(Matthias Klumpp)
* Implement component removal via remove-component merges (Matthias Klumpp)
* validator: Warn about insecure URLs, handle mailto: URLs (Matthias Klumpp)
* Add a contact URL type (Robert Ancell)
Specification:
* Document new remove-component merge type (Matthias Klumpp)
Bugfixes:
* as-pool: fix GObject annotation for GPtrArray owning the elements (Corentin
Noël)
* Make invalid components ratio check more accurate (Matthias Klumpp)
* Ensure description paragraphs contain no invalid XML tags (Matthias Klumpp)
- Update to 0.12.3:
Notes:
* Beginning with this release, data from local .desktop files will not be
loaded into
the pool automatically, unless a metainfo file also exists.
This should ensure less duplicated components in general higher-quality
data to be
displayed. It also provides another incentive to add/fix metainfo files.
If you prefer the previous behavior, set the
AS_POOL_FLAG_READ_DESKTOP_FILES flag
on your AsPool instance.
Features:
* apt: Ignore errors post-update (Matthias Klumpp)
* validator: Allow content_rating to be empty (Matthias Klumpp)
* ascli: Display stock icon name if no suitable icon was found for details
view (Matthias Klumpp)
* Refactor loading of local metainfo files (Matthias Klumpp)
Specification:
* spec: Clarify the requirement for content_attribute tags in content_rating
(Matthias Klumpp)
* docs: Write intro for addon quickstart (Matthias Klumpp)
* docs: Replace hyphens in component-IDs of XML examples (Matthias Klumpp)
Bugfixes:
* Ensure all addons are linked to a component (David Hewitt)
* Annotate nullable return types (David Hewitt)
* cache: Set explicit variant types for cases where they can not be inferred
(Matthias Klumpp)
* utils: Handle NULL strings when comparing versions (Matthias Klumpp)
* Explicitly include string.h in as-tag.c (Matthias Klumpp)
* Properly ignore desktop-entry components if we have better data (Matthias
Klumpp)
* Remove AppStream XSD schema (Matthias Klumpp)
* Update static data (Matthias Klumpp)
* Set error variable if there were some errors during refinement (Stefan
Bruens)
- Remove patches, now upstream:
* explicit-variant-types.patch
* workaround-hidden-symbols.patch

==== Mesa ====
Subpackages: Mesa-dri-devel Mesa-libEGL1 Mesa-libGL1 Mesa-libglapi0 libgbm1

- Don't enable gallium_loader on ppc and s390x
- Fix configuration on non-gallium archs
- u_dep_xcb.patch: fix missing xcb dependencies
- avoid Mesa-drivers build failure for ppc64le reported by
(boo#1127672)

==== Mesa-drivers ====
Subpackages: Mesa-dri Mesa-dri-nouveau Mesa-gallium Mesa-libva libvdpau_nouveau
libvdpau_r300 libvdpau_r600 libvdpau_radeonsi libvulkan_intel libvulkan_radeon
libxatracker2

- Don't enable gallium_loader on ppc and s390x
- Fix configuration on non-gallium archs
- u_dep_xcb.patch: fix missing xcb dependencies
- avoid Mesa-drivers build failure for ppc64le reported by
(boo#1127672)

==== MozillaFirefox ====
Subpackages: MozillaFirefox-translations-common

- Do not hardcode nodejs8 but leave the prefer to the distribution
(Tumbleweed staging wants to switch to nodejs10)

==== PackageKit ====
Subpackages: PackageKit-backend-zypp PackageKit-gstreamer-plugin
PackageKit-gtk3-module PackageKit-lang libpackagekit-glib2-18
typelib-1_0-PackageKitGlib-1_0

- Modify PackageKit-systemd-timers.patch: Fix unit field in
packagekit-background.timer (boo#1126943).

==== SDL ====

- Add patch:
* SDL-1.2.15-Use-system-glext.h.patch
Mesa-18.2.6 changed GL_GLEXT_VERSION and that conflicts with
the bundled glext.h definitions.
Use system glext.h instead via GL/gl.h.
See: https://bugzilla.redhat.com/show_bug.cgi?id=1662778

==== abcde ====

- Added dependency on WebService::MusicBrainz

==== acpid ====
Version update (2.0.30 -> 2.0.31)

- Update to version 2.0.31
* Add events for keyboard illumination up/down
* kacpimon: Bump connection limit to 100
- Run spec-cleaner

==== at-spi2-atk ====
Version update (2.30.0 -> 2.30.1)
Subpackages: at-spi2-atk-common at-spi2-atk-gtk2 libatk-bridge-2_0-0

- Update to version 2.30.1:
+ Fix crash retrieving table cell headers (bsc#1127792)..

==== at-spi2-core ====
Version update (2.30.0 -> 2.30.1)
Subpackages: at-spi2-core-lang libatspi0 typelib-1_0-Atspi-2_0

- Update to version 2.30.1:
+ Fix atspi_table_cell_get_(row|column)_header_cells
(bsc#1127792).

==== ceph ====
Version update (14.0.1.3346+g0364ec8d2f -> 14.1.0.559+gf1a72cff25)

- Edge ceph package memory constraint upward to address "virtual memory
exhausted: Cannot allocate memory" build failure sseen in OBS
- Update to 14.1.0-559-gf1a72cff25:
+ rebase on top of upstream master branch, SHA1
34f04be35bb9abcb5860b4c975b105adacc7a3aa
* fix GCC-9 build (bsc#1121395)
+ SUSE branding for Ceph Dashboard (Sebastian Krah)
+ spec:
* Drop use of $FIRST_ARG (Franck Bui)
* fix ceph-mgr-diskprediction-local runtime deps
- Update to 14.1.0-402-ga396e8bf3b:
+ rebase on top of upstream master branch, SHA1
1f909bc88be501e58cfbe1bab55efc20de10fa8d
* upstream v14.1.0 (Nautilus RC1) release
+ see draft release notes: https://github.com/ceph/ceph/pull/26598
* rados: provide user with more meaningful error message (bsc#999643)
* librados3 is dead: long live librados2
* several MGR modules (notably the dashboard) have been split off from
ceph-mgr into dedicated subpackages
* upstream v14.1.0 introduces an optional dependency on rabbitmq-c
+ disabled, for now, since openSUSE does not ship this package
+ rgw: dmclock: async scheduler: wrap yield_ctx around ifdefs (bsc#1126554)
+ arch tweaks (enable lttng build for ppc64le, drop ppc64 openSUSE, add
s390x openSUSE)
- Update to 14.0.1-3975-g14d8f3cab5:
+ rebase on top of upstream master branch, SHA1
24fcffb94ccda5cb11eeb74315c78e053fbb1c66
* Enabling and using the dashboard should be possible and strongly
encouraged - see http://docs.ceph.com/docs/master/mgr/dashboard/ for the
basics
+ spec:
* enable s390x build for openSUSE
* disable lttng build on s390x, enable it on ppc64le
* new subpackages for the larger MGR plugins (notably, dashboard)
* drop RHEL-specific subman code blocks

==== ckermit ====

- Fixed time and file failure via time_and_file_failure.patch

==== ffmpeg-4 ====
Version update (4.1 -> 4.1.1)
Subpackages: libavcodec58 libavdevice58 libavfilter7 libavformat58
libavresample4 libavutil56 libpostproc55 libswresample3 libswscale5

- Unconditionalize bs2b, it exists in openSUSE 13.x too.
- Drop ffmpeg-libcdio_cdda-pkgconfig.patch: It only adds comments
in it's current form, so serves no purpose at all anymore.
- Refresh patches with refresh_patches service.
- Rename rpmlintrc file to ffmpeg-4-rpmlintrc.
- Add missing conditional configure option: --enable-libbs2b,
BuildRequires already in place.
- Add aac to enabled_encoders and enabled_decoders. Build the
native aac support in ffmpeg. These do not support HE-AAC (v1/2)
protocols.
- Update 0001-Add-ability-for-ffmpeg-to-run-svt-av1.patch from git
To fix build with SVT-AV1.
- Update to version 4.1.1:
* Various filter and codec fixes and enhancements.
* configure: Add missing xlib dependency for VAAPI X11 code.
* For complete changelog, see
/usr/share/doc/packages/ffmpeg-4/Changelog
- enable AV1 support on x86_64
* requires patch 0001-Add-ability-for-ffmpeg-to-run-svt-av1.patch
- refreshed all patches

==== gcc8 ====
Version update (8.2.1+r268506 -> 8.3.1+r269200)
Subpackages: cpp8 gcc8-c++ gcc8-fortran gcc8-info gcc8-locale gcc8-objc
libasan5 libatomic1 libgcc_s1 libgcc_s1-32bit libgfortran5 libgomp1 libitm1
liblsan0 libmpx2 libmpxwrappers2 libobjc4 libquadmath0 libstdc++6
libstdc++6-32bit libstdc++6-devel-gcc8 libstdc++6-locale libtsan0 libubsan1

- Update to gcc-8-branch head (r269200).
* Includes GCC 8.3 release.
- Disable address-space randomization for profiledbootstrap.
- Add gcc8-reproducible-builds.patch to improve build reproducability.

==== gettext-runtime ====
Subpackages: gettext-tools

- Only Require(Pre/Post) info in the non-mini variant: as the -mini
version is only used inside OBS, it is irrelevant if the info
files are present and registered or not.

==== i4l-base ====
Subpackages: i4l-isdnlog libcapi20-3

- Added systemd support. Integrated SUSE-specific patches into
i4l_suse.tar.bz2.
[bsc#1116018, i4l-base.spec, i4l_suse.tar.bz2,
i4l_suse-sleep.diff, i4l_suse.diff]

==== ibus ====
Version update (1.5.19 -> 1.5.20)
Subpackages: ibus-gtk ibus-gtk-32bit ibus-gtk3 ibus-lang libibus-1_0-5
libibus-1_0-5-32bit typelib-1_0-IBus-1_0

- Fix boo#1127711
* Remove nodejs-emojione form BuildRequires
- Upstream update to 1.5.20
* Support Shift-Space to insert a Space on Emojier preedit
* Do not add emojis in compose category to emoji variants
* Implement mouse click with Hangul in ibus side
* Delete Gconf dependencies and migrate intool to gettext
* Do not delete IBUS_CAP_SURROUNDING_TEXT
* Show compose preedit with custom compose file
* Fix Atom and Slack for Flatpak
* Delete Super-space notification
* Use ISO 639-3 to have names for more languages
* introspection: Tell the GI scanner to include the C headers
* Add Uzbek layouts
* Allow using non-abstract UNIX domain sockets
* Fix minor build problems, bugs, and typos

==== javapackages-tools ====
Subpackages: javapackages-filesystem

- Provide both com.sun:tools and sun.jdk:jconsole that are part of
standard OpenJDK installation. These provides cannot be generated
from metadata due to build sequence.

==== kdevelop5 ====
Version update (5.3.1 -> 5.3.2)
Subpackages: kdevelop5-lang kdevplatform kdevplatform-lang libkdevplatform53

- New upstream release 5.3.2
* Don't call clear() on a shared pointer we don't own
(kde#403644)
* Workaround the bug found by ASan, which can be seen on FreeBSD
CI
* Kdev-clazy: use canonical paths
* Prevent the Extra Arguments ComboBox to Stretch Too Much
* CMake plugin: don't hardcode a default install prefix
* Appimage: skip unneeded cp of cmake, removed later again
* Clang plugin: Handle CUDA files better
* Clang: detect Clang builtin dirs at runtime on Unix
* Actually cleanup the duchain from the background thread
(kde#388743)
* Appimage: add okteta libs, as used by the debugger memory view
* Grepview: Fix potential crash in "Find in Files" (kde#402617)
* Add All Top-Level Targets to the Menu
* Show "Move into Source" action in code menu
* QuickOpen: Trim whitespace from input
* Update kdevelop app icon to latest breeze-icons version
* Appimage: have only kdevelop appdata in the appimage
* Fix first run of appimage creation: get install_colorschemes.py
via $SRC
* Fix crash in documentation view (kde#402026)
* CMake: skip server entries without empty build system
information
* 2 missing KTextEditorPluginIntegration::MainWindow slots
* Polish Purpose integration in the PatchReview plugin
* Hex editor plugin: prepare for incompatible API change of
libraries from upcoming Okteta 0.26.0
- Require clangX instead of clang on Leap 15 and TW, the exact
version should not matter anymore

==== keyutils ====
Subpackages: libkeyutils1 libkeyutils1-32bit

- Replace krb5-devel BuildRequires with pkgconfig(krb5): Allow OBS
to shortcut the ring0 bootstrap cycle by also using krb5-mini.

==== kio ====
Subpackages: kio-core kio-lang

- Add Fix-NTFS-hidden-check-for-symlinks.patch to avoid hiding
symlinks to NTFS mountpoints (kde#402738)

==== konsole ====
Subpackages: konsole-part konsole-part-lang

- Add Fix-bold-font.patch to fix problems with rendering text in
bold (boo#1095022)

==== libchamplain ====
Version update (0.12.16 -> 0.12.19)
Subpackages: libchamplain-0_12-0 typelib-1_0-Champlain-0_12

- Update to version 0.12.19:
+ Fix incorrect Requires in pc files when using meson.
+ Various meson-related fixes and cleanups.
- Update to version 0.12.18:
+ Fix incorrect so version when using meson.
+ Avoid exporting marshaler functions by dropping the use of
glib-genmarshal and using the generic marshaler instead.
+ Don't use glib-mkenums for champlain-gtk where it's not needed.
- Changes from version 0.12.17:
+ Use of meson build system, CI tests and automatized generation
of documentation.
+ Various map wrapping fixes.
+ Pass data as uint8 pointer in champlain_renderer_set_data() and
make this function introspectable.
+ Bump versions of some dependencies - clutter (1.24), glib
(2.38) - and fix depreciation warnings.
+ Use https for all map sources that support it.
+ Don't version-control generated vapi files.
+ Combine champlain and champlain-gtk documentations into one.
+ More helpful README.md with links to pages related to
libchamplain.
+ Various housekeeping and cleanups.
- Drop patch fixed upstream:
libchamplain-Fix-wrapping-champlain_view_x_to_longitude.patch.
- Switch to meson build system, add meson BuildRequires and macros.

==== libqmi ====
Version update (1.22.0 -> 1.22.2)
Subpackages: libqmi-glib5 libqmi-tools

- Update to version 1.22.2:
+ Fixed CID tracking logic in the qmi-proxy.
https://gitlab.freedesktop.org/mobile-broadband/libqmi/issues/9

==== libreoffice ====
Subpackages: libreoffice-calc libreoffice-draw libreoffice-filters-optional
libreoffice-gnome libreoffice-gtk3 libreoffice-icon-themes libreoffice-impress
libreoffice-l10n-cs libreoffice-l10n-da libreoffice-l10n-de libreoffice-l10n-el
libreoffice-l10n-en libreoffice-l10n-en_GB libreoffice-l10n-es
libreoffice-l10n-fr libreoffice-l10n-hu libreoffice-l10n-it libreoffice-l10n-ja
libreoffice-l10n-pl libreoffice-l10n-pt_BR libreoffice-l10n-ru
libreoffice-l10n-zh_CN libreoffice-l10n-zh_TW libreoffice-mailmerge
libreoffice-math libreoffice-pyuno libreoffice-qt5 libreoffice-writer
libreofficekit

- Require firebird as default driver for base if enabled
- Add patch to fix bsc#1127857:
* 0001-Fix-LTO-segfault-in-libtest_sw_uwriter-test.patch

==== libsecret ====
Version update (0.18.7 -> 0.18.8)
Subpackages: libsecret-1-0 libsecret-lang typelib-1_0-Secret-1

- Update to version 0.18.8:
+ Add support for g_autoptr() to our types.
+ Remove deprecated g_type_class_add_private().
+ Bump GLib dependency (2.44+).
+ Add meson build support.
+ Fix vapi generation.
+ Build fixes.
+ Updated translations.

==== libxslt ====
Version update (1.1.32 -> 1.1.33)
Subpackages: libxslt-tools libxslt1

- Update to version 1.1.33
* Portability:
- Variables need 'extern' in static lib on Cygwin
- Really declare dllexport/dllimport for Cygwin
- Fix callback signatures in Python bindings
- Fix transform callback signatures
- Fix extension callback signatures
- Fix deallocator signatures
- Fix XPath callback signatures
- Fix hash callback signatures
* Bug Fixes:
- Don't cache direct evaluation of patterns with variables
- Move function result RVTs to context variable
- Fix EXSLT functions returning RVTs from outer scopes
- Fix handling of RVTs returned from nested EXSLT functions
- Fix typos
* Improvements:
- Run Travis ASan tests with "sudo: required"
* Cleanups:
- Remove doc/libxslt-decl.txt
- Docs for 1.1.32 release
- Cleaned with spec-cleaner

==== meanwhile ====
Version update (1.0.2 -> 1.1.1)

- Update to version 1.1.1 (changes since 1.0.2):
* Fix errant return in cipher.c.
* Buddy list shows wrong status.
* strict-prototypes warning fix.
* Fixed glib headers compile issue
* Fixed string crash bug in st_list.c
* Fix Awareness status timestamps with recent Sametime clients.
* Add a flag in status enum for mobile users.
- Rebase meanwhile-fix-warnings.patch.
- Remove meanwhile-1.0.2-add-status-flags.patch,
meanwhile-glib-2.31.patch, meanwhile-status.diff,
meanwhile-workaround-status-timestamp.patch.

==== nodejs10 ====
Version update (10.15.1 -> 10.15.2)
Subpackages: nodejs10-devel npm10

- New upstream LTS version 10.15.2
* http: Further prevention of "Slowloris" attacks on HTTP and HTTPS
connections by consistently applying the receive timeout set by
server.headersTimeout to connections in keep-alive mode.
(CVE-2019-5737, bsc#1127532)

==== open-vm-tools ====
Subpackages: libvmtools0 open-vm-tools-desktop

- Add gcc9-warnings.patch (bsc#1126102).

==== patterns-xfce ====
Subpackages: patterns-xfce-xfce patterns-xfce-xfce_basis
patterns-xfce-xfce_laptop patterns-xfce-xfce_office

- added blueberry (missing in previous commit)

==== perl-Image-ExifTool ====
Version update (11.29 -> 11.30)
Subpackages: exiftool perl-File-RandomAccess

- Update to version 11.30:
* Add a new Sony/Minolta LensType.
* Decode streaming metadata from TomTom Bandit Action Cam MP4
videos.
* Decode Reconyx HF2 PRO maker notes.
* Decode ColorData for some new Canon models.
* Enhanced -geotag feature to set AmbientTemperature if
available.
* Remove non-significant spaces from some DICOM values.
* Fix possible "'x' outside of string" error when reading
corrupted EXIF.
* Fix incorrect write group for GeoTIFF tags.

==== perl-JSON-XS ====
Version update (4.01 -> 4.02)

- updated to 4.02
see /usr/share/doc/packages/perl-JSON-XS/Changes
4.02 Wed Mar 6 08:31:24 CET 2019
- undo the fix from 4.01, it breaks more things than it fixes
(another tetscase by Wesley Schwengle).
- try a proper fix this time.

==== postfix ====
Version update (3.3.2 -> 3.3.3)
Subpackages: postfix-doc

- skip set -x and fix version update changes entry
- Update to 3.3.3
* When the master daemon runs with PID=1 (init mode), it will now
reap child processes from non-Postfix code running in the same
container, instead of terminating with a panic.
* Bugfix (introduced: postfix-2.11): with posttls-finger,
connections to unix-domain servers always resulted in "Failed
to establish session" even after a connection was established.
Jaroslav Skarva. File: posttls-finger/posttls-finger.c.
* Bugfix (introduced: Postfix 3.0): with smtputf8_enable=yes,
table lookups could casefold the search string when searching
a lookup table that does not use fixed-string keys (regexp,
pcre, tcp, etc.). Historically, Postfix would not case-fold
the search string with such tables. File: util/dict_utf8.c.
- PostrgeSQL's pg_config is meant for linking server extensions,
use libpq's pkg-config instead, if available.
This is needed to fix build with PostgreSQL 11.

==== purple-rocketchat ====
Version update (0.0+hg20181203 -> 0.0+hg20190218)
Subpackages: libpurple-plugin-rocketchat pidgin-plugin-rocketchat

- Update to version 0.0+hg20190218 (changes since 0.0+hg20181203):
* Add some additional null checks to fix segfault when adding new
rocketchat server.
* librocketchat: Avoid NULL pointer assertions.
* librocketchat: Remove unneded call for group creation.
* librocketchat: Add default group configuration.
* Disconnect the account if the SSL cert was invalid.
* Fix for segfault when trying to remove an invalid username from
storage.

==== python-Automat ====
Version update (0.6.0 -> 0.7.0)

- Add mulitbuild to make sure we do not cycle
- Update to version 0.7.0:
* test updates
* pep fixes
- Run tests

==== python-MarkupSafe ====
Version update (1.0 -> 1.1.1)

- Update to 1.1.1:
* Fix segfault when __html__ method raises an exception when using the C
speedups. The exception is now propagated correctly. (#109)
- Update to v1.1.0
- Drop support for Python 2.6 and 3.3.
- Build wheels for Linux, Mac, and Windows, allowing systems without
a compiler to take advantage of the C extension speedups
- Use newer CPython API on Python 3, resulting in a 1.5x speedup
- ``escape`` wraps ``__html__`` result in ``Markup``, consistent with
documented behavior
- Switch to using pytest in %check as setup.py test no longer works
- Use more precise URL https://github.com/pallets/markupsafe
- Add docs/ to %doc, including the changelog
- Remove AUTHORS from %doc, removed upstream in 6247e015

==== python-attrs ====
Version update (18.2.0 -> 19.1.0)

- update to 19.1.0
* Fixed a bug where deserialized objects with cache_hash=True could have
incorrect hash code values
* Add is_callable, deep_iterable, and deep_mapping validators.
* Fixed stub files to prevent errors raised by mypy's
disallow_any_generics = True option.
* Attributes with init=False now can follow after kw_only=True attributes.
* attrs now has first class support for defining exception classes.
* Clarified documentation for hashing to warn that hashable objects should
be deeply immutable

==== python-keyring ====

- Revert the test removal pending fix of upstream bug:
https://github.com/jaraco/keyrings.alt/issues/33

==== python-lxml ====
Version update (4.2.5 -> 4.3.2)
Subpackages: python2-lxml python3-lxml

- Update to 4.3.2:
* Crash in 4.3.1 when appending a child subtree with certain text nodes.
- Update to v4.3.1
* Fixed crash when appending a child subtree that contains unsubstituted
entity references
- from v4.3.0
* Features
+ The module ``lxml.sax`` is compiled using Cython in order to speed it up.
+ lxml.sax.ElementTreeProducer now preserves the namespace prefixes.
If two prefixes point to the same URI, the first prefix in alphabetical
order is used.
+ Updated ISO-Schematron implementation to 2013 version (now MIT licensed)
and the corresponding schema to the 2016 version (with optional
"properties").
* Other
+ Support for Python 2.6 and 3.3 was removed.
+ The minimum dependency versions were raised to libxml2 2.9.2 and libxslt
1.1.27,
which were released in 2014 and 2012 respectively.
- from v4.2.6
* Fix a DeprecationWarning in Py3.7+.
* Import warnings in Python 3.6+ were resolved.
- Remove no longer needed
0001-Make-test-more-resilient-against-changes-in-latest-l.patch

==== rsyslog ====

- set default permissions before include directives (bsc#1126233)
* Logfile open modes depend on position in the config file, see
https://www.rsyslog.com/doc/rsconf1_filecreatemode.html

==== spec-cleaner ====
Version update (1.1.2 -> 1.1.3)

- Update to 1.1.3 bsc#1099674:
* Convert pytest calls to macros
* Fix errors in %python_expand line expansions
* update licenses list
* Expand more excludes for curlification
* Do not add accidental newlines to complex conditions

==== transactional-update ====
Version update (2.13.1 -> 2.13.2)
Subpackages: transactional-update-zypp-config

- Update to version 2.13.2
- add hooks for telemetrics

==== util-linux ====
Subpackages: libblkid-devel libblkid1 libblkid1-32bit libfdisk1 libmount1
libmount1-32bit libsmartcols1 libuuid-devel libuuid1 libuuid1-32bit
util-linux-lang

- Integrate pam_keyinit pam module to login
(boo#1081947, login.pamd, remote.pamd).
- Drop bc BuildRequires: not needed.
- libmount: remove jffs2 and ubifs from blacklist (jsc#SLE-4085).
- libmount: print a blacklist hint for "unknown filesystem type"
(jsc#SLE-4085, fate#326832), and add documentation
* add libmount-print-a-blacklist-hint-for-unknown-filesyst.patch
* add Add-documentation-on-blacklisted-modules-to-mount-8-.patch

==== util-linux-systemd ====

- Integrate pam_keyinit pam module to login
(boo#1081947, login.pamd, remote.pamd).
- libmount: remove jffs2 and ubifs from blacklist (jsc#SLE-4085).
- libmount: print a blacklist hint for "unknown filesystem type"
(jsc#SLE-4085, fate#326832), and add documentation
* add libmount-print-a-blacklist-hint-for-unknown-filesyst.patch
* add Add-documentation-on-blacklisted-modules-to-mount-8-.patch

==== vala ====
Version update (0.42.5 -> 0.42.6)
Subpackages: libvala-0_42-0

- Update to version 0.42.6:
+ Various improvements and bug fixes:
- codegen:
. Replace some unfortunate asserts with internal error
reports.
. Properly handle and catch inner-error of finally-block.
. Pass lambda expression of variable initializer to signal
connect.
. Respect array_length_cname attribute for global fields.
- vala:
. Check inferred variable_type of LocalVariables.
. Parser doesn't ensure "protected" to be applied on
TypeSymbol members.
- girparser: Correctly set array_length_type for delegates
returning an array.
- girwriter:
. Support transfer-ownership="container" for arrays.
. Always use get_gir_name() for TypeSymbols.
- libvaladoc:
. Don't change the size of an array in-parameter.
. Properly support the output of async constructors.
- valadoc: Report warning if resources for doclet could not be
copied.
- g-i: Fix return value on error in start_discriminator().
+ Bindings:
- atk-1.0: Adjust for upstream revert of Implementor using
G_DEFINE_INTERFACE
- clutter-1.0: Drop deprecated from Actor.pick().
- gdk-3.0: Update to 3.24.4+a0129f55.
- gtk+-unix-print-*.0: Fix PrintJob.get_page_ranges(),
Printer.get_hard_margins().
- gobject-2.0: Add SignalHandler.disconnect_by_data().
- poppler-glib: Update to 0.74.

==== vdr ====
Version update (2.2.0 -> 2.4.0)
Subpackages: vdr-lang

- Do not ignore errors from useradd.
- Replace overly strong PreReq by Requires(pre)/Requires,
or in case of documentation, drop it.
- require pkg-config from vdr-devel
- vdr does not provide vdr-devel
- add official after-release-patches from
ftp://ftp.tvdr.de/vdr/Developer/Patches/vdr-2.4/:
- vdr-2.4.0-01-fix-svdrp-modt-recflag.diff
- vdr-2.4.0-02-fix-invalid-locking-sequence.diff
- vdr-2.4.0-03-fix-locking-channel-display.diff
- vdr-2.4.0-04-fix-locking-channel-display-2.diff
- vdr-2.4.0-05-fix-shutdown.diff
- vdr-2.4.0-06-fix-channel-switch.diff
- vdr-2.4.0-07-fix-disabling-mtd.diff
- own /etc/vdr/plugins, which is needed by almost every plugin
- update to stable vdr-2.4.0 release
- see HISTORY file for detailed changelog
- renamed / rebased patch:
- vdr-2.3.9-use-ncurses5.diff -> vdr-2.4.0-use-ncurses5.diff
- removed dvbhddevice hack from specfile (plugin no longer in
vdr tarball)

==== vlc ====
Subpackages: libvlc5 libvlccore9 vlc-codec-gstreamer vlc-lang vlc-noX vlc-qt

- Limit the use of projectM-qt5 to suse_version > 1320 < 1550.
On Tumbleweed, we now have projectM 3.1.0, which is equivalent
to what our projectM-qt5 used to be.
- Move vdpau sub-package and it's dependencies out of BUILD_ORIG
conditional, everything it needs is provided by openSUSE.
- Refresh patches with refresh_patches service.
- Drop BUILD_ORIG guarded faad2-devel and libfaac-devel
BuildRequires and stop passing conditional --enable-faad to
configure, libfdkaac is sufficient for aac encoding/decoding.
- Add pkgconfig(aom), pkgconfig(libnfs) and pkgconfig(soxr)
BuildRequires, build the codecs/filters/plugins.

==== webkit2gtk3 ====
Version update (2.22.6 -> 2.22.7)
Subpackages: libjavascriptcoregtk-4_0-18 libwebkit2gtk-4_0-37
libwebkit2gtk3-lang typelib-1_0-JavaScriptCore-4_0 typelib-1_0-WebKit2-4_0
webkit2gtk-4_0-injected-bundles

- Update to version 2.22.7:
+ Fix rendering of glyphs in Hebrew (and possibly other
languages) when Unicode NFC normalization is used.
+ Fix several crashes and race conditions.

==== xdm ====
Version update (1.1.11 -> 1.1.12)
Subpackages: xdm-xsession

- udpate to release 1.1.12
* This release collects 7 years worth of bug fixes and code
cleanups, including the fix for CVE-2013-2179 that was
previously distributed as a patch against the prior release.

==== xfsprogs ====
Version update (4.19.0 -> 4.20.0)
Subpackages: libhandle1

- Update to v4.20.0
* mkfs.xfs: null-term symlinks created via protofile
* xfs_repair: allow '.' in attribute names
* xfs_repair: skip block reservations when fixing freelist
* xfs_repair: rebuild dir when nonroot blocks corrupt
* xfs_repair: int nonleaf finobt blocks with proper magic
* xfs_repair: fix off by one error rebuilding high keys
* xfs_io: allow open file permissions to be changed
* xfs_io: open pipes in non-blocking mode
* xfs_metadump: multiple stale data zeroing fixes
* xfs_quota: allow reg files w/o prjinherit flag
* xfs_db: properly decode finobt record w/ sparse inodes
* xfs_scrub: move all eecutables to /usr/sbin
* xfs_scrub: handle totally empty inode chunks
* xfs.5 manpage: remove barrier related options
* xfs_io.8 manpage: rearrange command listings by section
* remove generated scrub files under make clean
* skip scrub manpage install if not configured
* Merge libxfs from kernel 4.20

==== xinit ====
Version update (1.4.0 -> 1.4.1)

- Update to version 1.4.1
* This release fixes a bug when too many arguments are supplied
to the program and improves the man pages.

==== xtables-addons ====
Version update (3.2_k4.20.13_1 -> 3.3_k4.20.13_1)

- Update to new upstream release 3.3
* Support for Linux 5.0 [boo#1127790]

==== yast2 ====
Version update (4.1.60 -> 4.1.61)
Subpackages: yast2-logs

- bnc#1127798
- do not crash with internal error when enabling a network
network service when no network service is active.
- 4.1.61

==== yast2-bootloader ====
Version update (4.1.20 -> 4.1.21)

- Add option to Disable Simultaneous Multithreading (bsc#1098559)
- Allow to modify bootloader configuration during upgrade
- 4.1.21

==== yast2-installation ====
Version update (4.1.39 -> 4.1.41)

- Retranslate also the side bar steps when changing the language
(bsc#1128153)
- 4.1.41
- Do not change polkit default priviledges during upgrade
(bsc#1120720)
- 4.1.40

==== yast2-packager ====
Version update (4.1.30 -> 4.1.32)

- Bug fix: Changing repo URL has been ignored (bsc#1119564).
- 4.1.32
- Correct english wording for missing patterns (bsc#1117535).
- 4.1.31

==== yast2-snapper ====
Version update (4.1.0 -> 4.1.2)

- added button to refresh list of snapshots (bsc#1128279, or just
as good gh#yast/yast-yast2#713 )
- 4.1.2
- enable rubocop
- 4.1.1


--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages